package com.hotent.portal.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.hotent.base.entity.BaseModel;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 
 *外部系统授权到组织列表
 * @company 广州宏天软件股份有限公司
 * @author cola
 * @since 2021-12-03
 */
@ApiModel(value="PortalBizSystemAuth对象", description="")
@TableName(value = "portal_biz_system_org_auth")
public class PortalBizSystemOrgAuth extends BaseModel<PortalBizSystemOrgAuth> {

    private static final long serialVersionUID = 1L;
    @TableField("ID_")
    @TableId(value = "ID_")
    @JsonProperty("id")
    private String id;
    
    @TableField("SYS_CODE_")
    @JsonProperty("sysCode")
    private String sysCode;

    @TableField(value = "CREATE_TIME_",fill = FieldFill.INSERT)
    @JsonProperty("createTime")
    private LocalDateTime createTime;
    
    @TableField("CREATE_BY_")
    @JsonProperty("createBy")
    private String createBy;
    


    @TableField("UPDATE_TIME_")
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;
    
    @TableField("UPDATE_BY_")
    @JsonProperty("updateBy")
    private String updateBy;
    
    @TableField("TENANT_ID_")
    @JsonProperty("tenantId")
    private String tenantId;

    @TableField("DEM_ID_")
    private String demId;

    @TableField("ORG_TYPE_")
    private String orgType;

    @TableField("DATA_TYPE_")
    private String dataType;

    @TableField("ORG_ID_")
    private String orgId;



    @Override
    protected Serializable pkVal() {
        return null;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSysCode() {
        return sysCode;
    }

    public void setSysCode(String sysCode) {
        this.sysCode = sysCode;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getDemId() {
        return demId;
    }

    public void setDemId(String demId) {
        this.demId = demId;
    }

    public String getOrgType() {
        return orgType;
    }

    public void setOrgType(String orgType) {
        this.orgType = orgType;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }
}
